<?php

    // Headers:

    header('Access-Control-Allow-Origin: *');
    header('Content-Type: application/json');

    include_once '../../config/Database.php';
    include_once '../../models/Nosotros.php';

    // Conectarse a la base de datos:

    $database = new Database();
    $db = $database->connect();

    // Crear instancia de objeto para obtener datos de la página:

    $nosotros = new Nosotros($db);

    // Identificar pedido relevante de información:
    //    1: insignias
    //    2: integrantes
    //    3: misión, visión y valores

    $id = 1;

    if (isset($_GET['id'])) {
      $id = $_GET['id'];
    }

    // Obtener datos de insignias:

    if ($id == 1) {

      $insignias = $nosotros->insignias();

      $num = $insignias->rowCount();
      if ($num > 0) {

        $insignias_arr = array();

        while($row = $insignias->fetch(PDO::FETCH_ASSOC)) {
          extract($row);

          // Añadir información ordenada de cada insignia:

          if (is_null($imagen) != 1) {

            $insignia = array(
              'id' => $id_insignia,
              'nombre' => $nom_insignia,
              'imagen' => $imagen
            );

            array_push($insignias_arr, $insignia);

          }
        }

        // Convertir a JSON y desplegar:

        echo json_encode($insignias_arr);

      } else {
        echo json_encode(array('message' => 'No hay insignias disponibles.'));
      }
    }

    // Obtener datos de integrantes:

    if ($id == 2) {

      $integrantes = $nosotros->integrantes();

      $num = $integrantes->rowCount();
      if ($num > 0) {

        $integrantes_arr = array();

        while($row = $integrantes->fetch(PDO::FETCH_ASSOC)) {
          extract($row);

          // Añadir información ordenada de cada insignia:

          $integrante = array(
            'key' => $id_integrante,
            'nombre' => $nom_integrante,
            'apellido' => $apellido,
            'descripcion' => $bio_integrante,
            'imagen' => $imagen_chunk1.$imagen_chunk2.$imagen_chunk3
          );

          array_push($integrantes_arr, $integrante);
        }

        // Convertir a JSON y desplegar:

        echo json_encode($integrantes_arr);

      } else {
        echo json_encode(array('message' => 'No hay integrantes disponibles.'));
      }
    }



?>
