<?php

    // Headers:

    header('Access-Control-Allow-Origin: *');
    header('Content-Type: application/json');

    include_once '../../config/Database.php';
    include_once '../../models/Producto.php';

    // Conectarse a la base de datos:

    $database = new Database();
    $db = $database->connect();

    // Crear instancia de Producto para obtener datos:

    $id = 1;

    if (isset($_GET['id'])) {
      $id = intval($_GET['id']); //mysqli_real_escape_string($db, $_GET['id']));
    }

    $producto = new Producto($db, $id);

    // Obtener datos del producto dado su identificador:

    $datos = $producto->maindata();
    $disenos = $producto->designdata();
    $inventario = $producto->inventorydata();
    $insignias = $producto->insigniasdata();

    // Contar filas de datos obtenidos:

    $num1 = $datos->rowCount();
    $num2 = $disenos->rowCount();
    $num3 = $inventario->rowCount();
    $num4 = $insignias->rowCount();

    // Si la tabla de datos básicos no está vacía...

    if ($num1 > 0) {

      // Crear arreglo de datos del producto:

      $producto_arr = array();
      $producto_arr['datos'] = array();
      $producto_arr['disenos'] = array();
      $producto_arr['inventario'] = array();
      $producto_arr['insignias'] = array();

      // Crear subarreglo con datos básicos:

      while($row = $datos->fetch(PDO::FETCH_ASSOC)) {
        extract($row);

        $fila = array(
          'producto' => $nom_producto,
          'comerciante' => $nom_comerciante,
          'id_comerciante' => $id_comerciante,
          'precio' => $precio,
          'cantidad' => $cantidad,
          'default_diseno' => $id_default_diseno,
          'default_inventario' => $id_default_inventario
        );

        array_push($producto_arr['datos'], $fila);
      }

      // Llenar subarreglo con diseños del producto:

      while($row = $disenos->fetch(PDO::FETCH_ASSOC)) {
        extract($row);

        $diseno = array(
          'diseno' => $diseno,
          'id_diseno' => $id_diseno,
          'img_diseno' => $imagen_chunk1.$imagen_chunk2
        );

        array_push($producto_arr['disenos'], $diseno);
      }

      // Llenar subarreglo con datos de inventario del producto:

      while($row = $inventario->fetch(PDO::FETCH_ASSOC)) {
        extract($row);

        $tipo = array(
          'tamano' => $tamano,
          'id_inventario' => $id_inventario,
          'precio' => $precio,
          'cantidad' => $cantidad
        );

        array_push($producto_arr['inventario'], $tipo);
      }

      // Llenar subarreglo con datos de insignias del producto:

      while($row = $insignias->fetch(PDO::FETCH_ASSOC)) {
        extract($row);

        $tipo = array(
          'id_insignia' => $id_insignia,
          'nom_insignia' => $nom_insignia
        );

        array_push($producto_arr['insignias'], $tipo);
      }

      // Convertir a JSON y desplegar:

      echo json_encode($producto_arr);

    } else {
      echo json_encode(array('message' => 'No hay productos disponibles.'));
    }

?>
