<?php

/*

Conexión de API a base de datos de Proyecto Raíces: Database.php
- Autor:            Miguel E. Cruz Molina
- # de estudiante:  801-16-1956
- Curso y sección:  CCOM 4027-002
- Intructor:        Prof. Carlos J. Corrada Bravo
- Fecha de última edición: 10/04/2021

Resumen: Este archivo de PHP contiene los datos pertinentes a la
  conexión entre la base de datos del Proyecto Raíces y las páginas
  de la aplicación móvil, y realiza directamente dicha conexión
  usando esos datos. La conexión resultante se importa de manera
  separada a cada uno de los demás archivos de PHP relevantes.

*/


    class Database {

    // Datos necesarios para la conexión: nombre de usuario,
    //   servidor, contraseña y nombre de la base de datos:

    private $db_username = 'raices_user'; // 'raicesprcp_wp570'; // ''; //
    private $db_hostname = 'localhost'; // 'raicespr.org'; // :2083/cpsess9170450100/3rdparty;
    private $db_password = 'raices_passwd'; // '0pv5(58.SO'; // ''; //
    private $db_database = 'raices'; // 'raicesprcp_wp57'; // 'raices'; //

    private $conn;

    // Tratar de establecer la conexión. Si sucede un error,
    //   desplegar mensaje correspondiente:

    public function connect() {

      $this->conn = null;

      try
      {
        // $this->conn = mysqli_connect($this->db_hostname, $this->db_username,
        //    $this->db_password, $this->db_database) or $error=1;

        $this->conn = new PDO('mysql:host='.$this->db_hostname.';dbname='.$this->db_database, $this->db_username, $this->db_password);
        $this->conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
      }
      catch(PDOException $ex)
      {
        die("Hubo un error. No se pudo conectar
              a la base de datos: ".$ex->getMessage());
      }

      // mysqli_set_charset($this->conn,"utf8");

      return $this->conn;

    }

  }
?>
